Data Fields

# arm_biquad_cascade_df2T_instance_f32 Struct Reference

Instance structure for the floating-point transposed direct form II Biquad cascade filter. More...

`#include <arm_math.h>`

## Data Fields
uint8_t | numStages
float32_t * | pState
float32_t * | pCoeffs

## Detailed Description

Instance structure for the floating-point transposed direct form II Biquad cascade filter.

Definition at line 3586 of file arm_math.h.

## Field Documentation

uint8_t arm_biquad_cascade_df2T_instance_f32::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Definition at line 3588 of file arm_math.h.

float32_t* arm_biquad_cascade_df2T_instance_f32::pState

points to the array of state coefficients. The array is of length 2*numStages.

Definition at line 3589 of file arm_math.h.

float32_t* arm_biquad_cascade_df2T_instance_f32::pCoeffs

points to the array of coefficients. The array is of length 5*numStages.

Definition at line 3590 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines